#!/bin/sh

cd ${0%${0##*/}}.

#JAVA_HOME=/opt/jre
#BGCASHCHECK_SERVER_DIR=/opt/BGCashcheckServer

if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

if [ -z "$BGCASHCHECK_SERVER_DIR" ]; then
  echo "The BGCASHCHECK_SERVER_DIR environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

PATH=$PATH:$JAVA_HOME/bin

CLASSPATH=${BGCASHCHECK_SERVER_DIR}:${BGCASHCHECK_SERVER_DIR}/lib/*

if [ "$1" = "start" ]; then
    nohup  ${JAVA_HOME}/bin/java -Dnetworkaddress.cache.ttl=3600 -Djava.awt.headless=true -cp ${CLASSPATH} ru.bitel.frk.server.CmdTcpServer $1 $2 $3   > ${BGCASHCHECK_SERVER_DIR}/log/cashserver.out 2>&1 &
else
    ${JAVA_HOME}/bin/java -Dnetworkaddress.cache.ttl=3600 -Djava.awt.headless=true -cp ${CLASSPATH}  ru.bitel.frk.server.CmdTcpServer $1 $2 $3
fi